Index: modules/uoa-services-library/trunk/ng-openaire-library/src/app/services/searchResearchResults.service.ts
===================================================================
--- modules/uoa-services-library/trunk/ng-openaire-library/src/app/services/searchResearchResults.service.ts	(revision 60613)
+++ modules/uoa-services-library/trunk/ng-openaire-library/src/app/services/searchResearchResults.service.ts	(revision 60614)
@@ -458,59 +469,62 @@
       // }
       url += "&query=" + params;
     }
-
-    if(refineParams!= null && refineParams != ''  ) {
+    
+    if (refineParams != null && refineParams != '') {
       url += refineParams;
     }
-    return this.http.get((properties.useCache)? (properties.cacheUrl+encodeURIComponent(url)): url)
+    return this.http.get((properties.useCache) ? (properties.cacheUrl + encodeURIComponent(url)) : url)
       .pipe(map(res => res['meta']['total']));
   }
-    numOfSearchResults(resultType:string, params: string, properties:EnvProperties, refineParams:string=null):any {
-        let url = properties.searchAPIURLLAst+this.getEntityName(resultType, true)+"/count?format=json";
-        if(params.length > 0){
-          var DOIs:string[] = DOI.getDOIsFromString(params);
-          var doisParams = "";
-
-          for(var i =0 ;i < DOIs.length; i++){
-            doisParams+=(doisParams.length > 0?"&":"")+'doi="'+ DOIs[i]+'"';
-          }
-          if(doisParams.length > 0){
-            url += "&"+doisParams;
-          }else{
-            url += "&q=" + StringUtils.URIEncode(params);
-          }
-        }
-
-        if(refineParams!= null && refineParams != ''  ) {
-            url += refineParams;
-        }
-        return this.numOfResults(url, properties);
+  
+  numOfSearchResults(resultType: string, params: string, properties: EnvProperties, refineParams: string = null): any {
+    let url = properties.searchAPIURLLAst + this.getEntityName(resultType, true) + "/count?format=json";
+    if (params.length > 0) {
+      var DOIs: string[] = DOI.getDOIsFromString(params);
+      var doisParams = "";
+      
+      for (var i = 0; i < DOIs.length; i++) {
+        doisParams += (doisParams.length > 0 ? "&" : "") + 'doi="' + DOIs[i] + '"';
+      }
+      if (doisParams.length > 0) {
+        url += "&" + doisParams;
+      } else {
+        url += "&q=" + StringUtils.URIEncode(params);
+      }
     }
-  numOfSearchResultsLinkedToPub(resultType:string, properties:EnvProperties):any {
-    let url = properties.searchAPIURLLAst+"resources?query="+encodeURIComponent("( (oaftype exact result) and (resulttypeid exact "+resultType+") and (relresulttype=publication)  )")+"&page=0&size=0&format=json";
-    return this.http.get((properties.useCache)? (properties.cacheUrl+encodeURIComponent(url)): url)
+    
+    if (refineParams != null && refineParams != '') {
+      url += refineParams;
+    }
+    return this.numOfResults(url, properties);
+  }
+  
+  numOfSearchResultsLinkedToPub(resultType: string, properties: EnvProperties): any {
+    let url = properties.searchAPIURLLAst + "resources?query=" + encodeURIComponent("( (oaftype exact result) and (resulttypeid exact " + resultType + ") and (relresulttype=publication)  )") + "&page=0&size=0&format=json";
+    return this.http.get((properties.useCache) ? (properties.cacheUrl + encodeURIComponent(url)) : url)
       .pipe(map(res => res['meta']['total']));
   }
-
-    countTotalResults(resultType:string,  properties:EnvProperties, refineParams:string=null):any {
-      let url = properties.searchAPIURLLAst+this.getEntityName(resultType, true)+"/count?format=json"+refineParams;
-      return this.numOfResults(url, properties);
-    }
-/*
-    private quote(word: any): string {
-        return '"'+word+'"';
-    }
-*/
-
-    private getEntityName (entityType:string, plural:boolean){
-      if(entityType == "publication" ||entityType == "dataset" || entityType == "organization" || entityType == "datasource" || entityType == "project" ){
-        if(plural){
-          return entityType+ "s";
-        }else{
-          return entityType;
-        }
-      }else{
+  
+  countTotalResults(resultType: string, properties: EnvProperties, refineParams: string = null): any {
+    let url = properties.searchAPIURLLAst + this.getEntityName(resultType, true) + "/count?format=json" + refineParams;
+    return this.numOfResults(url, properties);
+  }
+  
+  /*
+      private quote(word: any): string {
+          return '"'+word+'"';
+      }
+  */
+  
+  private getEntityName(entityType: string, plural: boolean) {
+    if (entityType == "publication" || entityType == "dataset" || entityType == "organization" || entityType == "datasource" || entityType == "project") {
+      if (plural) {
+        return entityType + "s";
+      } else {
         return entityType;
       }
+    } else {
+      return entityType;
     }
+  }
 }
Index: modules/uoa-services-library/trunk/ng-openaire-library/src/app/landingPages/project/project.component.ts
===================================================================
--- modules/uoa-services-library/trunk/ng-openaire-library/src/app/landingPages/project/project.component.ts	(revision 60613)
+++ modules/uoa-services-library/trunk/ng-openaire-library/src/app/landingPages/project/project.component.ts	(revision 60614)
@@ -86,6 +86,7 @@
   private reloadDatasets: boolean = true;
   private reloadSoftware: boolean = true;
   private reloadOrps: boolean = true;
+  private reloadDmps: boolean = true;
 
   // Variables for entity selections on the right column
   public share_research_results_type: string = "results";
@@ -96,6 +97,7 @@
   public fetchDatasets: FetchResearchResults;
   public fetchSoftware: FetchResearchResults;
   public fetchOrps: FetchResearchResults;
+  public fetchDmps: FetchResearchResults;
   public searchNumber: number = 5;
 
   public routerHelper: RouterHelper = new RouterHelper();
@@ -159,7 +161,7 @@
       this.fetchDatasets = new FetchResearchResults(this._searchResearchResultsService);
       this.fetchSoftware = new FetchResearchResults(this._searchResearchResultsService);
       this.fetchOrps = new FetchResearchResults(this._searchResearchResultsService);
-
+      this.fetchDmps = new FetchResearchResults(this._searchResearchResultsService);
       var title = "Project";
       var description = "";
 
@@ -251,6 +253,7 @@
       this.fetchDatasets.getNumForEntity("dataset", "project", this.projectId, this.properties);
       this.fetchSoftware.getNumForEntity("software", "project", this.projectId, this.properties);
       this.fetchOrps.getNumForEntity("other", "project", this.projectId, this.properties);
+      this.searchDmps(1, this.searchNumber);
     }
   }
 
@@ -263,7 +266,8 @@
     this.fetchDatasets.clearSubscriptions();
     this.fetchPublications.clearSubscriptions();
     this.fetchSoftware.clearSubscriptions();
-    this.fetchPublications.clearSubscriptions();
+    this.fetchOrps.clearSubscriptions();
+    this.fetchDmps.clearSubscriptions();
   }
 
   private createClipboard() {
@@ -285,6 +289,17 @@
     }
     this.reloadPublications = false;
   }
+  
+  public searchDmps(page: number, size: number) {
+    if (this.reloadDmps &&
+      (this.fetchDmps.searchUtils.status == this.errorCodes.LOADING ||
+        (this.fetchDmps.searchUtils.status == this.errorCodes.DONE && this.fetchDmps.searchUtils.totalResults > 0)
+      )
+    ) {
+      this.fetchDmps.getDmps("project", this.projectId, page, size, this.properties);
+    }
+    this.reloadDmps = false;
+  }
 
   public searchDatasets(page: number, size: number) {
     if (this.reloadDatasets &&
@@ -659,6 +674,9 @@
       } else if (activeTabId == 'statistics') {
         this.activeTab = 'statistics';
         this.statsClicked = true;
+      } else if (activeTabId == 'dmps') {
+        this.activeTab = 'dmps';
+        this.searchDmps(1, this.searchNumber);
       }
     }
   }
@@ -747,9 +765,13 @@
     HelperFunctions.scroll();
   }
 
-  public getParamsForSearchLink(type: string = "") {
+  public getParamsForSearchLink(type: string = null, subtype: string = null) {
     if(type) {
-      return this.routerHelper.createQueryParams(['f0', 'fv0', 'type', 'qf', 'sortBy'], ['relprojectid', this.projectId, type, 'false', 'resultdateofacceptance,descending']);
+      if(subtype) {
+        return this.routerHelper.createQueryParams(['f0', 'fv0', 'type', 'instancetypename', 'qf', 'sortBy'], ['relprojectid', this.projectId, type, subtype, 'false', 'resultdateofacceptance,descending']);
+      } else {
+        return this.routerHelper.createQueryParams(['f0', 'fv0', 'type', 'qf', 'sortBy'], ['relprojectid', this.projectId, type, 'false', 'resultdateofacceptance,descending']);
+      }
     } else {
       return this.routerHelper.createQueryParams(['f0', 'fv0'], ['relprojectid', this.projectId]);
     }
Index: modules/uoa-services-library/trunk/ng-openaire-library/src/app/utils/tabs/contents/search-tab.component.ts
===================================================================
--- modules/uoa-services-library/trunk/ng-openaire-library/src/app/utils/tabs/contents/search-tab.component.ts	(revision 60613)
+++ modules/uoa-services-library/trunk/ng-openaire-library/src/app/utils/tabs/contents/search-tab.component.ts	(revision 60614)
@@ -5,12 +5,12 @@
 @Component({
     selector: 'search-tab',
     template: `
-      <errorMessages [status]="[fetch.searchUtils.status]" [type]="getEntityName(resultType, true, true)"
+      <errorMessages *ngIf="resultType" [status]="[fetch.searchUtils.status]" [type]="getEntityName(resultType, true, true)"
                      tab_error_class=true></errorMessages>
 
       <div *ngIf="fetch.searchUtils.status == errorCodes.DONE">
         <div class="tab-header">
-          <span *ngIf="!customTitle"><span *ngIf="resultType != 'organization' && resultType != 'dataprovider' && resultType != 'project'">Recent</span>
+          <span *ngIf="!customTitle && resultType"><span *ngIf="resultType != 'organization' && resultType != 'dataprovider' && resultType != 'project'">Recent</span>
           {{getEntityName(resultType, true, true)}}
             </span>
           <span *ngIf="customTitle">{{customTitle}}</span>
Index: modules/uoa-services-library/trunk/ng-openaire-library/src/app/utils/fetchEntitiesClasses/fetchResearchResults.class.ts
===================================================================
--- modules/uoa-services-library/trunk/ng-openaire-library/src/app/utils/fetchEntitiesClasses/fetchResearchResults.class.ts	(revision 60613)
+++ modules/uoa-services-library/trunk/ng-openaire-library/src/app/utils/fetchEntitiesClasses/fetchResearchResults.class.ts	(revision 60614)
@@ -171,10 +171,52 @@
     }
   }
 
+  public getDmps(entity:string, id:string, page: number, size: number, properties:EnvProperties) {
+    this.searchUtils.status = this.errorCodes.LOADING;
+    let parameters = "";
+    if(entity == "project") {
+      parameters = '(relprojectid exact "'+id+'") and (instancetypename exact "Data Management Plan")';
+    } else if(entity == "organization") {
+      parameters = '(relorganizationid exact "'+id+'") and (instancetypename exact "Data Management Plan")';
+    }
+    if(parameters != "") {
+      this.subscriptions.push(this._searchResearchResultsService.searchResultForEntity('publication', parameters, page, size, properties).subscribe(
+        data => {
+          this.searchUtils.totalResults = data[0];
+          this.results = data[1];
+      
+          this.searchUtils.status = this.errorCodes.DONE;
+          if (this.searchUtils.totalResults == 0) {
+            this.searchUtils.status = this.errorCodes.NONE;
+          }
+        },
+        err => {
+          /*console.log(err);
+           //TODO check erros (service not available, bad request)
+          // if( ){
+          //   this.searchUtils.status = ErrorCodes.ERROR;
+          // }
+          //var errorCodes:ErrorCodes = new ErrorCodes();
+          //this.searchUtils.status = errorCodes.ERROR;
+
+          if(err.status == '404') {
+            this.searchUtils.status = this.errorCodes.NOT_FOUND;
+          } else if(err.status == '500') {
+            this.searchUtils.status = this.errorCodes.ERROR;
+          } else {
+            this.searchUtils.status = this.errorCodes.NOT_AVAILABLE;
+          }*/
+          this.handleError("Error getting dmps for " + entity + " with id: " + id, err);
+          this.searchUtils.status = this.errorMessages.getErrorCode(err.status);
+        }
+      ));
+    }
+  }
+  
   public getResultsForEntity(resultType: string, entity:string, id:string, page: number, size: number, properties:EnvProperties){
     this.searchUtils.status = this.errorCodes.LOADING;
 
-    var parameters = "";
+    let parameters = "";
     if(entity == "project") {
       //parameters = "projects/"+id;
       parameters = '(relprojectid exact "'+id+'")';
